Bug 9850 - Koha 3.12 Help Files Update
Summary: Koha 3.12 Help Files Update
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: 3.12
Hardware: All All
: P5 - low normal (vote)
Assignee: Nicole C. Engard
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-19 16:14 UTC by Nicole C. Engard
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9850: Update Stray Help Files (2.89 KB, patch)
2013-03-25 13:05 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9850: Update Authority Help Files (3.49 KB, patch)
2013-03-25 13:11 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9850: Update Label Help Files (6.11 KB, patch)
2013-03-25 13:37 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9850: Update Patron Card Help Files (7.27 KB, patch)
2013-03-25 13:41 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9850: Update Patron Help Files for 3.12 (32.16 KB, patch)
2013-03-26 12:53 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9850: Update Admin Help Files for 3.12 (35.95 KB, patch)
2013-03-26 18:15 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9850: Acq Help Files for 3.12 (19.45 KB, patch)
2013-03-27 16:50 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9850: Catalogue help files (4.81 KB, patch)
2013-03-27 18:41 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9850: Put manual link in an include (1009 bytes, patch)
2013-03-27 19:09 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9850: Add include with manual link (1.07 KB, patch)
2013-03-27 19:24 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[ALTERNATIVE] Bug 9850: Build the version for the manual link (1.90 KB, patch)
2013-03-28 10:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9850: Update Tags & Comments Help (2.99 KB, patch)
2013-03-28 14:51 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9850: Add missing tags help file (1.40 KB, patch)
2013-03-28 14:55 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9850: Update holds help file (1.42 KB, patch)
2013-03-28 15:34 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9850: Update Lists Help (1.46 KB, patch)
2013-03-28 15:36 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9850: Update Stray Help Files (2.96 KB, patch)
2013-03-29 08:54 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9850: Update Authority Help Files (3.60 KB, patch)
2013-03-29 08:55 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9850: Update Label Help Files (6.28 KB, patch)
2013-03-29 08:56 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9850: Update Patron Card Help Files (7.45 KB, patch)
2013-03-29 08:57 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9850: Update Patron Help Files for 3.12 (32.21 KB, patch)
2013-03-29 09:00 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9850: Update Admin Help Files for 3.12 (36.01 KB, patch)
2013-03-29 09:03 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9850: Acq Help Files for 3.12 (19.59 KB, patch)
2013-03-29 09:04 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9850: Acq Help Files for 3.12 (19.64 KB, patch)
2013-03-29 09:04 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9850: Catalogue help files (4.90 KB, patch)
2013-03-29 09:05 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9850: Build the version for the manual link (2.04 KB, patch)
2013-03-29 09:08 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9850: Update Tags & Comments Help (3.08 KB, patch)
2013-03-29 09:09 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9850: Add missing tags help file (1.40 KB, patch)
2013-03-29 09:09 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9850: Update holds help file (1.43 KB, patch)
2013-03-29 09:10 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9850: Update holds help file (1.49 KB, patch)
2013-03-29 09:10 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9850: Update Lists Help (1.53 KB, patch)
2013-03-29 09:11 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9850: Reports Help for 3.12 (37.46 KB, patch)
2013-03-29 12:30 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9850: Cataloging Help for 3.12 (5.92 KB, patch)
2013-04-01 12:36 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9850: Update Reports Help for 3.12 (37.48 KB, patch)
2013-04-01 13:11 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9850: Serial Help Files for 3.12 (8.12 KB, patch)
2013-04-01 13:16 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9850: Suggestion Help File for 3.12 (3.35 KB, patch)
2013-04-01 13:33 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9850: Offline Circ Help Files for 3.12 (4.99 KB, patch)
2013-04-01 14:23 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9850: Update Circ Help for 3.12 (1.18 KB, patch)
2013-04-01 15:18 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9850: Update Circ Help Files for 3.12 (18.40 KB, patch)
2013-04-01 15:21 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9850: Add Plugin Help File for 3.12 (1.62 KB, patch)
2013-04-01 16:40 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9850: Update Tools Help for 3.12 (27.77 KB, patch)
2013-04-01 16:41 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9850: FOLLOW UP: Add Missing Plugin Help for 3.12 (1.58 KB, patch)
2013-04-02 12:32 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9850: Cataloging Help for 3.12 (6.03 KB, patch)
2013-04-02 14:52 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9850: Update Reports Help for 3.12 (37.58 KB, patch)
2013-04-02 14:59 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9850: Serial Help Files for 3.12 (8.23 KB, patch)
2013-04-02 15:00 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9850: Suggestion Help File for 3.12 (3.46 KB, patch)
2013-04-02 15:03 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9850: Offline Circ Help Files for 3.12 (5.09 KB, patch)
2013-04-02 15:06 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9850: Update Circ Help Files for 3.12 (18.53 KB, patch)
2013-04-02 15:12 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9850: Add Plugin Help File for 3.12 (1.71 KB, patch)
2013-04-02 15:14 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9850: Update Tools Help for 3.12 (27.93 KB, patch)
2013-04-02 15:31 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9850: FOLLOW UP: Add Missing Plugin Help for 3.12 (1.67 KB, patch)
2013-04-02 15:38 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 9850: Cataloging Help for 3.12 (6.04 KB, patch)
2013-04-04 21:24 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9850: Update Reports Help for 3.12 (37.60 KB, patch)
2013-04-04 21:24 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9850: Serial Help Files for 3.12 (8.24 KB, patch)
2013-04-04 21:24 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9850: Suggestion Help File for 3.12 (3.47 KB, patch)
2013-04-04 21:24 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9850: Offline Circ Help Files for 3.12 (5.11 KB, patch)
2013-04-04 21:25 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9850: Update Circ Help Files for 3.12 (18.54 KB, patch)
2013-04-04 21:25 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9850: Add Plugin Help File for 3.12 (1.73 KB, patch)
2013-04-04 21:25 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9850: Update Tools Help for 3.12 (27.95 KB, patch)
2013-04-04 21:25 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9850: FOLLOW UP: Add Missing Plugin Help for 3.12 (1.68 KB, patch)
2013-04-04 21:25 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9850: Update Stray Help Files (3.04 KB, patch)
2013-04-24 05:17 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9850: Update Authority Help Files (3.64 KB, patch)
2013-04-24 05:17 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9850: Update Label Help Files (6.25 KB, patch)
2013-04-24 05:18 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9850: Update Patron Card Help Files (7.40 KB, patch)
2013-04-24 05:18 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9850: Update Patron Help Files for 3.12 (32.33 KB, patch)
2013-04-24 05:18 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9850: Update Admin Help Files for 3.12 (36.08 KB, patch)
2013-04-24 05:18 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9850: Acq Help Files for 3.12 (19.57 KB, patch)
2013-04-24 05:18 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9850: Catalogue help files (4.94 KB, patch)
2013-04-24 05:18 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9850: Update Tags & Comments Help (3.11 KB, patch)
2013-04-24 05:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9850: Add missing tags help file (1.46 KB, patch)
2013-04-24 05:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9850: Update holds help file (1.54 KB, patch)
2013-04-24 05:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9850: Update Lists Help (1.58 KB, patch)
2013-04-24 05:19 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-03-19 16:14:47 UTC
Time for the standing ticket for the help file updates - patches will start coming soon.
Comment 1 Nicole C. Engard 2013-03-25 13:05:45 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2013-03-25 13:11:49 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2013-03-25 13:37:07 UTC Comment hidden (obsolete)
Comment 4 Nicole C. Engard 2013-03-25 13:41:52 UTC Comment hidden (obsolete)
Comment 5 Nicole C. Engard 2013-03-26 12:53:03 UTC Comment hidden (obsolete)
Comment 6 Nicole C. Engard 2013-03-26 18:15:16 UTC Comment hidden (obsolete)
Comment 7 Nicole C. Engard 2013-03-27 16:50:05 UTC Comment hidden (obsolete)
Comment 8 Nicole C. Engard 2013-03-27 18:41:56 UTC Comment hidden (obsolete)
Comment 9 Nicole C. Engard 2013-03-27 19:09:54 UTC Comment hidden (obsolete)
Comment 10 Nicole C. Engard 2013-03-27 19:18:21 UTC
Comment on attachment 16950 [details] [review]
Bug 9850: Put manual link in an include

Wrong idea
Comment 11 Nicole C. Engard 2013-03-27 19:24:48 UTC Comment hidden (obsolete)
Comment 12 Jonathan Druart 2013-03-28 10:48:33 UTC Comment hidden (obsolete)
Comment 13 Nicole C. Engard 2013-03-28 12:54:27 UTC
We talked about this on IRC yesterday and decided to worry about that with the next release since we're so close to release right now and I need to get this done.  There is more than the version to think about - there is the language as well.  And when the version is a dev version we need to link to the next manual - which may or may not be ready yet. There is too much to discuss right now and I need to get this done this week due to my work schedule.

Also - I need to review every help file anyway to see if there are differences that need to be added - so updating the link takes me no time at all.
Comment 14 Nicole C. Engard 2013-03-28 14:51:57 UTC Comment hidden (obsolete)
Comment 15 Nicole C. Engard 2013-03-28 14:55:30 UTC Comment hidden (obsolete)
Comment 16 Nicole C. Engard 2013-03-28 15:34:14 UTC Comment hidden (obsolete)
Comment 17 Nicole C. Engard 2013-03-28 15:36:24 UTC Comment hidden (obsolete)
Comment 18 Chris Cormack 2013-03-29 08:54:41 UTC Comment hidden (obsolete)
Comment 19 Chris Cormack 2013-03-29 08:55:24 UTC Comment hidden (obsolete)
Comment 20 Chris Cormack 2013-03-29 08:56:36 UTC Comment hidden (obsolete)
Comment 21 Chris Cormack 2013-03-29 08:57:25 UTC Comment hidden (obsolete)
Comment 22 Chris Cormack 2013-03-29 09:00:17 UTC Comment hidden (obsolete)
Comment 23 Chris Cormack 2013-03-29 09:03:47 UTC Comment hidden (obsolete)
Comment 24 Chris Cormack 2013-03-29 09:04:25 UTC Comment hidden (obsolete)
Comment 25 Chris Cormack 2013-03-29 09:04:44 UTC Comment hidden (obsolete)
Comment 26 Chris Cormack 2013-03-29 09:05:23 UTC Comment hidden (obsolete)
Comment 27 Chris Cormack 2013-03-29 09:08:37 UTC Comment hidden (obsolete)
Comment 28 Chris Cormack 2013-03-29 09:09:15 UTC Comment hidden (obsolete)
Comment 29 Chris Cormack 2013-03-29 09:09:47 UTC Comment hidden (obsolete)
Comment 30 Chris Cormack 2013-03-29 09:10:18 UTC Comment hidden (obsolete)
Comment 31 Chris Cormack 2013-03-29 09:10:33 UTC Comment hidden (obsolete)
Comment 32 Chris Cormack 2013-03-29 09:11:23 UTC Comment hidden (obsolete)
Comment 33 Nicole C. Engard 2013-03-29 12:30:04 UTC Comment hidden (obsolete)
Comment 34 Marc Sabin 2013-03-29 17:10:36 UTC
I've visited all reports pages and review the help for textual changes
It seems to be OK

There is 1 incorrect link.
from Statistics wizards, in the Holds statistics help page, 
the link to the online manual is wrong  :
(it's a link to the sandbox)
http://pro.test1.biblibre.com/cgi-bin/koha/manual.koha-community.org/3.12/en/statsreports.html#holdstats
Comment 35 Nicole C. Engard 2013-04-01 12:36:39 UTC Comment hidden (obsolete)
Comment 36 Nicole C. Engard 2013-04-01 13:11:54 UTC Comment hidden (obsolete)
Comment 37 Nicole C. Engard 2013-04-01 13:12:23 UTC
Reports Help file has been updated to fix the broken link! Thanks for finding that.

Nicole
Comment 38 Nicole C. Engard 2013-04-01 13:16:12 UTC Comment hidden (obsolete)
Comment 39 Nicole C. Engard 2013-04-01 13:33:37 UTC Comment hidden (obsolete)
Comment 40 Nicole C. Engard 2013-04-01 14:23:38 UTC Comment hidden (obsolete)
Comment 41 Nicole C. Engard 2013-04-01 15:18:25 UTC Comment hidden (obsolete)
Comment 42 Nicole C. Engard 2013-04-01 15:21:32 UTC Comment hidden (obsolete)
Comment 43 Nicole C. Engard 2013-04-01 16:40:37 UTC Comment hidden (obsolete)
Comment 44 Nicole C. Engard 2013-04-01 16:41:09 UTC Comment hidden (obsolete)
Comment 45 Nicole C. Engard 2013-04-01 16:43:33 UTC
I believe that I am done - 1/2 of these are signed off and 1/2 need sign off.

Nicole
Comment 46 Nicole C. Engard 2013-04-02 12:32:42 UTC Comment hidden (obsolete)
Comment 47 Owen Leonard 2013-04-02 14:52:11 UTC Comment hidden (obsolete)
Comment 48 Owen Leonard 2013-04-02 14:59:09 UTC Comment hidden (obsolete)
Comment 49 Owen Leonard 2013-04-02 15:00:56 UTC Comment hidden (obsolete)
Comment 50 Owen Leonard 2013-04-02 15:03:48 UTC Comment hidden (obsolete)
Comment 51 Owen Leonard 2013-04-02 15:06:32 UTC Comment hidden (obsolete)
Comment 52 Owen Leonard 2013-04-02 15:12:44 UTC Comment hidden (obsolete)
Comment 53 Owen Leonard 2013-04-02 15:14:23 UTC Comment hidden (obsolete)
Comment 54 Owen Leonard 2013-04-02 15:31:04 UTC Comment hidden (obsolete)
Comment 55 Owen Leonard 2013-04-02 15:38:38 UTC Comment hidden (obsolete)
Comment 56 Katrin Fischer 2013-04-04 21:24:22 UTC Comment hidden (obsolete)
Comment 57 Katrin Fischer 2013-04-04 21:24:38 UTC Comment hidden (obsolete)
Comment 58 Katrin Fischer 2013-04-04 21:24:47 UTC Comment hidden (obsolete)
Comment 59 Katrin Fischer 2013-04-04 21:24:55 UTC Comment hidden (obsolete)
Comment 60 Katrin Fischer 2013-04-04 21:25:03 UTC Comment hidden (obsolete)
Comment 61 Katrin Fischer 2013-04-04 21:25:12 UTC Comment hidden (obsolete)
Comment 62 Katrin Fischer 2013-04-04 21:25:20 UTC Comment hidden (obsolete)
Comment 63 Katrin Fischer 2013-04-04 21:25:30 UTC Comment hidden (obsolete)
Comment 64 Katrin Fischer 2013-04-04 21:25:40 UTC Comment hidden (obsolete)
Comment 65 Jared Camins-Esakov 2013-04-07 17:29:13 UTC
The first batch of patches has been pushed to master and 3.12.x.
Comment 66 Nicole C. Engard 2013-04-07 20:23:22 UTC
All of the patches attached by Chris are signed off patches.  They were skipped during QA and Pushing.

Nicole
Comment 67 Marcel de Rooy 2013-04-15 12:20:16 UTC
Comment on the help version calculation:
+my $help_version = C4::Context->preference("Version");
+if ( $help_version =~ m|^(\d+)\.(\d{2}).*$| ) {
+    my $version = $1;
+    my $major = $2;
+    if ( $major % 2 ) { $major-- };
+    $help_version = "$version.$major";
+}
+$template->param( helpVersion => $help_version );

I am testing this now. We are still in 3.11, but I should have seen 3.12, but I just see 3.10. 
Please find some extra test to make the decision to go to 3.12. Perhaps something with the last digits? Now we are e.g. at 200. If we are testing alpha or beta versions, the help version should go up somehow..
Comment 68 Nicole C. Engard 2013-04-15 16:13:19 UTC
Comment on attachment 17008 [details] [review]
Bug 9850: Build the version for the manual link

Marking obsolete so that the other help patches don't suffer. The others are all text and should be QA'd before 3.12 released.  We can address this issue in a later version. Maybe even another bug report.
Comment 69 Katrin Fischer 2013-04-24 05:03:05 UTC
Comment on attachment 17003 [details] [review]
Bug 9850: Update Patron Help Files for 3.12

Review of attachment 17003 [details] [review]:
-----------------------------------------------------------------

::: koha-tmpl/intranet-tmpl/prog/en/modules/help/members/member-flags.tt
@@ +10,1 @@
>  

There is a bit of a mix between old and new capitalization in this file:
<h2>Patron permissions</h2>		 
<p>Patron Permissions are used to allow staff members access to the staff client.</p>		
<h3>Setting Patron Permissions</h3>

@@ +43,5 @@
>  </ul>
>  </li>
>  	<li>parameters
>  <ul>
> +	<li>Manage Koha system systems (Administration panel)</li>

This doesn't look right.

@@ +465,5 @@
>  </ul>
>  </li>
>  	<li>execute_reports
>  <ul>
> +	<li>Execure SQL Reports</li>

Little typo.
Comment 70 Katrin Fischer 2013-04-24 05:17:27 UTC Comment hidden (obsolete)
Comment 71 Katrin Fischer 2013-04-24 05:17:41 UTC Comment hidden (obsolete)
Comment 72 Katrin Fischer 2013-04-24 05:18:05 UTC Comment hidden (obsolete)
Comment 73 Katrin Fischer 2013-04-24 05:18:14 UTC Comment hidden (obsolete)
Comment 74 Katrin Fischer 2013-04-24 05:18:22 UTC Comment hidden (obsolete)
Comment 75 Katrin Fischer 2013-04-24 05:18:31 UTC Comment hidden (obsolete)
Comment 76 Katrin Fischer 2013-04-24 05:18:40 UTC Comment hidden (obsolete)
Comment 77 Katrin Fischer 2013-04-24 05:18:51 UTC Comment hidden (obsolete)
Comment 78 Katrin Fischer 2013-04-24 05:19:02 UTC Comment hidden (obsolete)
Comment 79 Katrin Fischer 2013-04-24 05:19:12 UTC Comment hidden (obsolete)
Comment 80 Katrin Fischer 2013-04-24 05:19:21 UTC Comment hidden (obsolete)
Comment 81 Katrin Fischer 2013-04-24 05:19:32 UTC Comment hidden (obsolete)
Comment 82 Jared Camins-Esakov 2013-04-26 01:50:52 UTC
This patch has been pushed to master and 3.12.x.